// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class SphereMesh {
    public:
      static void createSphere(
        Mesh *mesh,
        float_t radius,
        int32_t slices,
        int32_t stacks
      );
  };
}